## obs-advanced-scene-switcher 1.19.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.3)

project(advanced-scene-switcher VERSION 1.0.0)
set(LIB_NAME "${PROJECT_NAME}-lib")
add_library(${PROJECT_NAME} MODULE)
add_library(${LIB_NAME} SHARED)

set(PLUGIN_AUTHOR "WarmUpTill")
set(MACOS_BUNDLEID "com.warmuptill.${PROJECT_NAME}")
set(LINUX_MAINTAINER_EMAIL "noone@nothing.com")
set(MACOS_PACKAGE_UUID "3F0D2A6A-2583-11ED-861D-0242AC120002")
set(MACOS_INSTALLER_UUID "B7F15A6E-2583-11ED-861D-0242AC120002")
set(WINDOWS_INSTALLER_UUID "A4ADDF26-4426-4D2E-B26A-C7C878DA8FC9")

message(STATUS "CMAKE_PROJECT_NAME is ${CMAKE_PROJECT_NAME}")
if(${CMAKE_PROJECT_NAME} STREQUAL "obs-studio")
  if(NOT DEFINED BUILD_OUT_OF_TREE)
    message(STATUS "${PROJECT_NAME} configured for in-tree build")
  endif()
else()
  set(BUILD_OUT_OF_TREE ON)
  message(STATUS "${PROJECT_NAME} configured for out-of-tree build")
endif()

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/")
include(GetGitRevisionDescription)
get_git_head_revision(GIT_REFSPEC GIT_SHA1)
git_describe(GIT_TAG)
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/version.cpp.in"
               "${CMAKE_CURRENT_BINARY_DIR}/src/version.cpp" @ONLY)

# --- Set target sources ---

# Module sources
target_sources(${PROJECT_NAME} PRIVATE src/advanced-scene-switcher-module.c)

# Generic sources
target_sources(
  ${LIB_NAME}
  PRIVATE src/advanced-scene-switcher.cpp
          src/advanced-scene-switcher.hpp
          src/general.cpp
          src/hotkey.cpp
          src/hotkey.hpp
          src/hotkey.hpp
          src/platform-funcs.hpp
          src/scene-group.cpp
          src/scene-group.hpp
          src/status-control.cpp
          src/status-control.hpp
          src/switcher-data-structs.cpp
          src/switcher-data-structs.hpp
          src/version.cpp
          src/version.h)

# Legacy function sources
target_sources(
  ${LIB_NAME}
  PRIVATE src/legacy/scene-trigger.cpp
          src/legacy/scene-trigger.hpp
          src/legacy/switch-audio.cpp
          src/legacy/switch-audio.hpp
          src/legacy/switch-executable.cpp
          src/legacy/switch-executable.hpp
          src/legacy/switch-file.cpp
          src/legacy/switch-file.hpp
          src/legacy/switch-generic.cpp
          src/legacy/switch-generic.hpp
          src/legacy/switch-idle.cpp
          src/legacy/switch-idle.hpp
          src/legacy/switch-media.cpp
          src/legacy/switch-media.hpp
          src/legacy/switch-network.cpp
          src/legacy/switch-network.hpp
          src/legacy/switch-pause.cpp
          src/legacy/switch-pause.hpp
          src/legacy/switch-priority.cpp
          src/legacy/switch-random.cpp
          src/legacy/switch-random.hpp
          src/legacy/switch-screen-region.cpp
          src/legacy/switch-screen-region.hpp
          src/legacy/switch-sequence.cpp
          src/legacy/switch-sequence.hpp
          src/legacy/switch-time.cpp
          src/legacy/switch-time.hpp
          src/legacy/switch-transitions.cpp
          src/legacy/switch-transitions.hpp
          src/legacy/switch-video.cpp
          src/legacy/switch-video.hpp
          src/legacy/switch-window.cpp
          src/legacy/switch-window.hpp)

# Maro sources
target_sources(
  ${LIB_NAME}
  PRIVATE src/macro-core/macro-action-audio.cpp
          src/macro-core/macro-action-audio.hpp
          src/macro-core/macro-action-edit.cpp
          src/macro-core/macro-action-edit.hpp
          src/macro-core/macro-action-file.cpp
          src/macro-core/macro-action-file.hpp
          src/macro-core/macro-action-filter.cpp
          src/macro-core/macro-action-filter.hpp
          src/macro-core/macro-action-hotkey.cpp
          src/macro-core/macro-action-hotkey.hpp
          src/macro-core/macro-action-http.cpp
          src/macro-core/macro-action-http.hpp
          src/macro-core/macro-action-macro.cpp
          src/macro-core/macro-action-macro.hpp
          src/macro-core/macro-action-media.cpp
          src/macro-core/macro-action-media.hpp
          src/macro-core/macro-action-plugin-state.cpp
          src/macro-core/macro-action-plugin-state.hpp
          src/macro-core/macro-action-profile.cpp
          src/macro-core/macro-action-profile.hpp
          src/macro-core/macro-action-random.cpp
          src/macro-core/macro-action-random.hpp
          src/macro-core/macro-action-recording.cpp
          src/macro-core/macro-action-recording.hpp
          src/macro-core/macro-action-replay-buffer.cpp
          src/macro-core/macro-action-replay-buffer.hpp
          src/macro-core/macro-action-run.cpp
          src/macro-core/macro-action-run.hpp
          src/macro-core/macro-action-scene-collection.cpp
          src/macro-core/macro-action-scene-collection.hpp
          src/macro-core/macro-action-scene-order.cpp
          src/macro-core/macro-action-scene-order.hpp
          src/macro-core/macro-action-scene-switch.cpp
          src/macro-core/macro-action-scene-switch.hpp
          src/macro-core/macro-action-scene-transform.cpp
          src/macro-core/macro-action-scene-transform.hpp
          src/macro-core/macro-action-scene-visibility.cpp
          src/macro-core/macro-action-scene-visibility.hpp
          src/macro-core/macro-action-screenshot.cpp
          src/macro-core/macro-action-screenshot.hpp
          src/macro-core/macro-action-sequence.cpp
          src/macro-core/macro-action-sequence.hpp
          src/macro-core/macro-action-source.cpp
          src/macro-core/macro-action-source.hpp
          src/macro-core/macro-action-streaming.cpp
          src/macro-core/macro-action-streaming.hpp
          src/macro-core/macro-action-studio-mode.cpp
          src/macro-core/macro-action-studio-mode.hpp
          src/macro-core/macro-action-systray.cpp
          src/macro-core/macro-action-systray.hpp
          src/macro-core/macro-action-timer.cpp
          src/macro-core/macro-action-timer.hpp
          src/macro-core/macro-action-transition.cpp
          src/macro-core/macro-action-transition.hpp
          src/macro-core/macro-action-variable.cpp
          src/macro-core/macro-action-variable.hpp
          src/macro-core/macro-action-virtual-cam.cpp
          src/macro-core/macro-action-virtual-cam.hpp
          src/macro-core/macro-action-wait.cpp
          src/macro-core/macro-action-wait.hpp
          src/macro-core/macro-action-websocket.cpp
          src/macro-core/macro-action-websocket.hpp
          src/macro-core/macro-action.cpp
          src/macro-core/macro-action.hpp
          src/macro-core/macro-condition-audio.cpp
          src/macro-core/macro-condition-audio.hpp
          src/macro-core/macro-condition-cursor.cpp
          src/macro-core/macro-condition-cursor.hpp
          src/macro-core/macro-condition-date.cpp
          src/macro-core/macro-condition-date.hpp
          src/macro-core/macro-condition-edit.cpp
          src/macro-core/macro-condition-edit.hpp
          src/macro-core/macro-condition-file.cpp
          src/macro-core/macro-condition-file.hpp
          src/macro-core/macro-condition-filter.cpp
          src/macro-core/macro-condition-filter.hpp
          src/macro-core/macro-condition-hotkey.cpp
          src/macro-core/macro-condition-hotkey.hpp
          src/macro-core/macro-condition-idle.cpp
          src/macro-core/macro-condition-idle.hpp
          src/macro-core/macro-condition-macro.cpp
          src/macro-core/macro-condition-macro.hpp
          src/macro-core/macro-condition-media.cpp
          src/macro-core/macro-condition-media.hpp
          src/macro-core/macro-condition-obs-stats.cpp
          src/macro-core/macro-condition-obs-stats.hpp
          src/macro-core/macro-condition-plugin-state.cpp
          src/macro-core/macro-condition-plugin-state.hpp
          src/macro-core/macro-condition-process.cpp
          src/macro-core/macro-condition-process.hpp
          src/macro-core/macro-condition-profile.cpp
          src/macro-core/macro-condition-profile.hpp
          src/macro-core/macro-condition-recording.cpp
          src/macro-core/macro-condition-recording.hpp
          src/macro-core/macro-condition-replay-buffer.cpp
          src/macro-core/macro-condition-replay-buffer.hpp
          src/macro-core/macro-condition-scene-order.cpp
          src/macro-core/macro-condition-scene-order.hpp
          src/macro-core/macro-condition-scene-transform.cpp
          src/macro-core/macro-condition-scene-transform.hpp
          src/macro-core/macro-condition-scene-visibility.cpp
          src/macro-core/macro-condition-scene-visibility.hpp
          src/macro-core/macro-condition-scene.cpp
          src/macro-core/macro-condition-scene.hpp
          src/macro-core/macro-condition-source.cpp
          src/macro-core/macro-condition-source.hpp
          src/macro-core/macro-condition-streaming.cpp
          src/macro-core/macro-condition-streaming.hpp
          src/macro-core/macro-condition-studio-mode.cpp
          src/macro-core/macro-condition-studio-mode.hpp
          src/macro-core/macro-condition-timer.cpp
          src/macro-core/macro-condition-timer.hpp
          src/macro-core/macro-condition-transition.cpp
          src/macro-core/macro-condition-transition.hpp
          src/macro-core/macro-condition-variable.cpp
          src/macro-core/macro-condition-variable.hpp
          src/macro-core/macro-condition-virtual-cam.cpp
          src/macro-core/macro-condition-virtual-cam.hpp
          src/macro-core/macro-condition-websocket.cpp
          src/macro-core/macro-condition-websocket.hpp
          src/macro-core/macro-condition-window.cpp
          src/macro-core/macro-condition-window.hpp
          src/macro-core/macro-condition.cpp
          src/macro-core/macro-condition.hpp
          src/macro-core/macro-list-entry-widget.cpp
          src/macro-core/macro-list-entry-widget.hpp
          src/macro-core/macro-properties.cpp
          src/macro-core/macro-properties.hpp
          src/macro-core/macro-ref.cpp
          src/macro-core/macro-ref.hpp
          src/macro-core/macro-segment-list.cpp
          src/macro-core/macro-segment-list.hpp
          src/macro-core/macro-segment.cpp
          src/macro-core/macro-segment.hpp
          src/macro-core/macro-selection.cpp
          src/macro-core/macro-selection.hpp
          src/macro-core/macro-tab.cpp
          src/macro-core/macro.cpp
          src/macro-core/macro.hpp)

# Utility function sources
target_sources(
  ${LIB_NAME}
  PRIVATE src/utils/connection-manager.cpp
          src/utils/connection-manager.hpp
          src/utils/curl-helper.cpp
          src/utils/curl-helper.hpp
          src/utils/duration-control.cpp
          src/utils/duration-control.hpp
          src/utils/item-selection-helpers.cpp
          src/utils/item-selection-helpers.hpp
          src/utils/file-selection.cpp
          src/utils/file-selection.hpp
          src/utils/macro-list.cpp
          src/utils/macro-list.hpp
          src/utils/name-dialog.cpp
          src/utils/name-dialog.hpp
          src/utils/regex-config.cpp
          src/utils/regex-config.hpp
          src/utils/resizing-text-edit.cpp
          src/utils/resizing-text-edit.hpp
          src/utils/scene-item-selection.cpp
          src/utils/scene-item-selection.hpp
          src/utils/scene-selection.cpp
          src/utils/scene-selection.hpp
          src/utils/screenshot-helper.cpp
          src/utils/screenshot-helper.hpp
          src/utils/section.cpp
          src/utils/section.hpp
          src/utils/transition-selection.cpp
          src/utils/transition-selection.hpp
          src/utils/utility.cpp
          src/utils/utility.hpp
          src/utils/variable.cpp
          src/utils/variable.hpp
          src/utils/volume-control.cpp
          src/utils/volume-control.hpp
          src/utils/websocket-helpers.cpp
          src/utils/websocket-helpers.hpp)

# --- End of section ---

if(BUILD_OUT_OF_TREE)
  include(cmake/ObsPluginHelpers.cmake)
endif()
include(cmake/AdvSSHelpers.cmake)
setup_obs_lib_dependency(${LIB_NAME})
