=== debian/changelog ===
obs-advanced-scene-switcher (1.19.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 11 Oct 2022 12:41:38 -0300

obs-advanced-scene-switcher (1.19.1-1) unstable; urgency=medium

  * New upstream version 1.19.1.
  * debian/control:
      - Added libcurl4 as dependency for obs-advanced-scene-switcher.
      - Bumped relationships from 25.0.3 to 26.1.2 for obs-studio and libobs
        to make them compliant with current OBS in Debian Stable release.
      - Removed a sentence about minimum supported version for OBS in long
        description.
  * debian/source/lintian-overrides: updated an override to make it compliant
    with new lintian tags.
  * debian/rules: using new options to build the plugin.
  * debian/tests/control: updated the lib name.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 05 Oct 2022 14:03:37 -0300
