## obs-advanced-scene-switcher 1.20.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -217,8 +217,6 @@
           src/macro-core/macro-condition-window.hpp
           src/macro-core/macro-condition.cpp
           src/macro-core/macro-condition.hpp
-          src/macro-core/macro-list-entry-widget.cpp
-          src/macro-core/macro-list-entry-widget.hpp
           src/macro-core/macro-properties.cpp
           src/macro-core/macro-properties.hpp
           src/macro-core/macro-ref.cpp
@@ -230,6 +228,8 @@
           src/macro-core/macro-selection.cpp
           src/macro-core/macro-selection.hpp
           src/macro-core/macro-tab.cpp
+          src/macro-core/macro-tree.cpp
+          src/macro-core/macro-tree.hpp
           src/macro-core/macro.cpp
           src/macro-core/macro.hpp)
 
@@ -262,21 +262,17 @@
           src/utils/screenshot-helper.hpp
           src/utils/section.cpp
           src/utils/section.hpp
+          src/utils/slider-spinbox.cpp
+          src/utils/slider-spinbox.hpp
+          src/utils/source-selection.cpp
+          src/utils/source-selection.hpp
           src/utils/transition-selection.cpp
           src/utils/transition-selection.hpp
           src/utils/utility.cpp
           src/utils/utility.hpp
           src/utils/variable.cpp
           src/utils/variable.hpp
+          src/utils/variable-text-edit.cpp
+          src/utils/variable-text-edit.hpp
           src/utils/volume-control.cpp
           src/utils/volume-control.hpp
-          src/utils/websocket-helpers.cpp
-          src/utils/websocket-helpers.hpp)
-
-# --- End of section ---
-
-if(BUILD_OUT_OF_TREE)
-  include(cmake/ObsPluginHelpers.cmake)
-endif()
-include(cmake/AdvSSHelpers.cmake)
-setup_obs_lib_dependency(${LIB_NAME})
