=== src/macro-external/opencv/CMakeLists.txt ===
--- 
+++ 
@@ -23,12 +23,10 @@
           macro-condition-video.hpp
           opencv-helpers.cpp
           opencv-helpers.hpp
+          paramerter-wrappers.cpp
+          paramerter-wrappers.hpp
           preview-dialog.cpp
-          preview-dialog.hpp
-          threshold-slider.cpp
-          threshold-slider.hpp
-          video-selection.cpp
-          video-selection.hpp)
+          preview-dialog.hpp)
 
 setup_advss_plugin(${PROJECT_NAME})
 set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
