=== debian/changelog ===
obs-advanced-scene-switcher (1.20.4-1) unstable; urgency=medium

  * New upstream version 1.20.4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 03 Feb 2023 07:22:43 -0300

obs-advanced-scene-switcher (1.20.3-1) unstable; urgency=medium

  * New upstream version 1.20.3.
  * debian/source/lintian-overrides: updated two overrides.
  * debian/upstream/metadata: added Screenshots field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 30 Jan 2023 14:07:36 -0300

obs-advanced-scene-switcher (1.20.2-1) unstable; urgency=medium

  * New upstream version 1.20.2.
  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/: removed all patches, currently applied to upstream source
    code.
  * debian/source/lintian-overrides: updated all overrides.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 21 Jan 2023 01:01:19 -0300

obs-advanced-scene-switcher (1.19.2-5) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 02 Dec 2022 02:32:15 -0300

obs-advanced-scene-switcher (1.19.2-4) experimental; urgency=medium

  * debian/patches/020_fix-FTBFS-libxss.patch: created to fix unresolvable
    reference to symbol XScreenSaverQueryInfo.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 01 Dec 2022 19:39:23 -0300

obs-advanced-scene-switcher (1.19.2-3) experimental; urgency=medium

  * debian/control: re-added libprocps-dev as an alternative to libproc2-dev
    in Build-Depends field.
  * debian/copyright: converted the last paragraph of the GPL-2 in a comment.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 26 Nov 2022 00:32:26 -0300

obs-advanced-scene-switcher (1.19.2-2) experimental; urgency=medium

  * debian/control: changed from libprocps-dev to libproc2-dev in Build-Depends
    field. (Closes: #1024223)
  * debian/patches/010_fix-ftbfs-procps.patch: created to fix a FTBFS with
    libproc2. (Closes: #1024223)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 20 Nov 2022 23:30:29 -0300

obs-advanced-scene-switcher (1.19.2-1) unstable; urgency=medium

  * New upstream version 1.19.2.
  * debian/source/lintian-overrides: updated a line.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 16 Nov 2022 16:18:54 -0300
