=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
                libcurl4-openssl-dev,
                libobs-dev (>= 26.1.2),
                libopencv-dev,
-               libprocps-dev,
+               libproc2-dev | libprocps-dev,
                libxss-dev,
                libxtst-dev,
                libwebsocketpp-dev,
                qtbase5-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://obsproject.com/forum/resources/advanced-scene-switcher.395/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/obs-advanced-scene-switcher
