=== debian/tests/control ===
Test-Command: DEB_TARGET_MULTIARCH=$(dpkg-architecture -qDEB_TARGET_MULTIARCH);
              PLUGIN_NAME=$(dpkg-parsechangelog -SSource | cut -d"-" -f2-);
              g++ -o $AUTOPKGTEST_TMP/load_lib debian/tests/load_lib.cc -ldl -Wall;
              $AUTOPKGTEST_TMP/load_lib /usr/lib/${DEB_TARGET_MULTIARCH}/obs-plugins/lib${PLUGIN_NAME}.so
Depends: @, g++
Restrictions: superficial
