## obs-advanced-scene-switcher 1.20.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -113,6 +113,8 @@
           src/macro-core/macro-action-plugin-state.hpp
           src/macro-core/macro-action-profile.cpp
           src/macro-core/macro-action-profile.hpp
+          src/macro-core/macro-action-projector.cpp
+          src/macro-core/macro-action-projector.hpp
           src/macro-core/macro-action-random.cpp
           src/macro-core/macro-action-random.hpp
           src/macro-core/macro-action-recording.cpp
@@ -274,5 +276,3 @@
           src/utils/variable.hpp
           src/utils/variable-text-edit.cpp
           src/utils/variable-text-edit.hpp
-          src/utils/volume-control.cpp
-          src/utils/volume-control.hpp
