=== debian/changelog ===
obs-advanced-scene-switcher (1.20.5-1) unstable; urgency=medium

  * New upstream version 1.20.5.
  * debian/source/lintian-overrides: updated an override.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 20 Feb 2023 07:15:09 -0300
