## obs-advanced-scene-switcher 1.22.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -42,21 +42,20 @@
           src/general.cpp
           src/hotkey.cpp
           src/hotkey.hpp
-          src/hotkey.hpp
           src/platform-funcs.hpp
-          src/scene-group.cpp
-          src/scene-group.hpp
           src/status-control.cpp
           src/status-control.hpp
-          src/switcher-data-structs.cpp
-          src/switcher-data-structs.hpp
+          src/switcher-data.cpp
+          src/switcher-data.hpp
           src/version.cpp
           src/version.h)
 
 # Legacy function sources
 target_sources(
   ${LIB_NAME}
-  PRIVATE src/legacy/scene-trigger.cpp
+  PRIVATE src/legacy/scene-group.cpp
+          src/legacy/scene-group.hpp
+          src/legacy/scene-trigger.cpp
           src/legacy/scene-trigger.hpp
           src/legacy/switch-audio.cpp
           src/legacy/switch-audio.hpp
@@ -74,7 +73,6 @@
           src/legacy/switch-network.hpp
           src/legacy/switch-pause.cpp
           src/legacy/switch-pause.hpp
-          src/legacy/switch-priority.cpp
           src/legacy/switch-random.cpp
           src/legacy/switch-random.hpp
           src/legacy/switch-screen-region.cpp
@@ -109,6 +107,8 @@
           src/macro-core/macro-action-macro.hpp
           src/macro-core/macro-action-media.cpp
           src/macro-core/macro-action-media.hpp
+          src/macro-core/macro-action-osc.cpp
+          src/macro-core/macro-action-osc.hpp
           src/macro-core/macro-action-plugin-state.cpp
           src/macro-core/macro-action-plugin-state.hpp
           src/macro-core/macro-action-profile.cpp
@@ -165,6 +165,8 @@
           src/macro-core/macro-condition-cursor.hpp
           src/macro-core/macro-condition-date.cpp
           src/macro-core/macro-condition-date.hpp
+          src/macro-core/macro-condition-display.cpp
+          src/macro-core/macro-condition-display.hpp
           src/macro-core/macro-condition-edit.cpp
           src/macro-core/macro-condition-edit.hpp
           src/macro-core/macro-condition-file.cpp
@@ -191,6 +193,8 @@
           src/macro-core/macro-condition-recording.hpp
           src/macro-core/macro-condition-replay-buffer.cpp
           src/macro-core/macro-condition-replay-buffer.hpp
+          src/macro-core/macro-condition-run.cpp
+          src/macro-core/macro-condition-run.hpp
           src/macro-core/macro-condition-scene-order.cpp
           src/macro-core/macro-condition-scene-order.hpp
           src/macro-core/macro-condition-scene-transform.cpp
@@ -219,6 +223,8 @@
           src/macro-core/macro-condition-window.hpp
           src/macro-core/macro-condition.cpp
           src/macro-core/macro-condition.hpp
+          src/macro-core/macro-dock.cpp
+          src/macro-core/macro-dock.hpp
           src/macro-core/macro-properties.cpp
           src/macro-core/macro-properties.hpp
           src/macro-core/macro-ref.cpp
@@ -246,33 +252,25 @@
           src/utils/duration-control.hpp
           src/utils/item-selection-helpers.cpp
           src/utils/item-selection-helpers.hpp
+          src/utils/log-helper.hpp
           src/utils/file-selection.cpp
           src/utils/file-selection.hpp
+          src/utils/filter-selection.cpp
+          src/utils/filter-selection.hpp
           src/utils/macro-list.cpp
           src/utils/macro-list.hpp
+          src/utils/math-helpers.cpp
+          src/utils/math-helpers.hpp
+          src/utils/mouse-wheel-guard.cpp
+          src/utils/mouse-wheel-guard.hpp
           src/utils/name-dialog.cpp
           src/utils/name-dialog.hpp
-          src/utils/regex-config.cpp
-          src/utils/regex-config.hpp
-          src/utils/resizing-text-edit.cpp
-          src/utils/resizing-text-edit.hpp
-          src/utils/scene-item-selection.cpp
-          src/utils/scene-item-selection.hpp
-          src/utils/scene-selection.cpp
-          src/utils/scene-selection.hpp
-          src/utils/screenshot-helper.cpp
-          src/utils/screenshot-helper.hpp
-          src/utils/section.cpp
-          src/utils/section.hpp
-          src/utils/slider-spinbox.cpp
-          src/utils/slider-spinbox.hpp
-          src/utils/source-selection.cpp
-          src/utils/source-selection.hpp
-          src/utils/transition-selection.cpp
-          src/utils/transition-selection.hpp
-          src/utils/utility.cpp
-          src/utils/utility.hpp
-          src/utils/variable.cpp
-          src/utils/variable.hpp
-          src/utils/variable-text-edit.cpp
-          src/utils/variable-text-edit.hpp
+          src/utils/obs-dock.hpp
+          src/utils/obs-module-helper.cpp
+          src/utils/obs-module-helper.hpp
+          src/utils/osc-helpers.cpp
+          src/utils/osc-helpers.hpp
+          src/utils/priority-helper.cpp
+          src/utils/priority-helper.hpp
+          src/utils/process-config.cpp
+          src/utils/process-config.hpp
