=== src/macro-external/CMakeLists.txt ===
--- 
+++ 
@@ -17,5 +17,6 @@
 ... to install the plugin and its dependencies.
 #]]
 
-add_subdirectory(opencv)
+add_subdirectory(midi)
 add_subdirectory(openvr)
+add_subdirectory(video)
