=== debian/changelog ===
obs-advanced-scene-switcher (1.22.1-2) unstable; urgency=medium

  * debian/patches/020_disable-externals.patch: created to disable calls to
    external projects, avoiding a FTBFS.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 25 Jun 2023 14:04:35 -0300

obs-advanced-scene-switcher (1.22.1-1) unstable; urgency=medium

  * New upstream version 1.22.1.
  * debian/control: added obs-text-slideshow to Breaks field in
    obs-advanced-scene-switcher-data binary.
  * debian/copyright: added rights related to new upstream files
    deps/exprtk/exprtk.hpp and tests/catch.hpp.
  * debian/patches/010_fix-spelling.patch: created to fix spelling
    errors found in the final lib.
  * debian/source/lintian-overrides: removed because the overrides
    used here are outdated and they are irrelevant.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 24 Jun 2023 12:14:28 -0300
