=== debian/control ===
--- 
+++ 
@@ -54,7 +54,8 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Enhances: obs-studio (>= 26.1.2)
-Breaks: obs-advanced-scene-switcher (<< 1.16.1~)
+Breaks: obs-advanced-scene-switcher (<< 1.16.1~),
+        obs-text-slideshow (<= 1.5.2-3)
 Replaces: obs-advanced-scene-switcher (<< 1.16.1~)
 Description: data package for obs-advanced-scene-switcher
  Advanced Scene Switcher plugin is based on the built-in
