## obs-advanced-scene-switcher 1.23.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -125,6 +125,8 @@
           src/macro-core/macro-action-run.hpp
           src/macro-core/macro-action-scene-collection.cpp
           src/macro-core/macro-action-scene-collection.hpp
+          src/macro-core/macro-action-scene-lock.cpp
+          src/macro-core/macro-action-scene-lock.hpp
           src/macro-core/macro-action-scene-order.cpp
           src/macro-core/macro-action-scene-order.hpp
           src/macro-core/macro-action-scene-switch.cpp
@@ -201,6 +203,8 @@
           src/macro-core/macro-condition-scene-transform.hpp
           src/macro-core/macro-condition-scene-visibility.cpp
           src/macro-core/macro-condition-scene-visibility.hpp
+          src/macro-core/macro-condition-slideshow.cpp
+          src/macro-core/macro-condition-slideshow.hpp
           src/macro-core/macro-condition-scene.cpp
           src/macro-core/macro-condition-scene.hpp
           src/macro-core/macro-condition-source.cpp
@@ -255,22 +259,15 @@
           src/utils/log-helper.hpp
           src/utils/file-selection.cpp
           src/utils/file-selection.hpp
+          src/utils/filter-combo-box.cpp
+          src/utils/filter-combo-box.hpp
           src/utils/filter-selection.cpp
           src/utils/filter-selection.hpp
+          src/utils/macro-export-import-dialog.cpp
+          src/utils/macro-export-import-dialog.hpp
           src/utils/macro-list.cpp
           src/utils/macro-list.hpp
+          src/utils/macro-segment-selection.cpp
+          src/utils/macro-segment-selection.hpp
           src/utils/math-helpers.cpp
           src/utils/math-helpers.hpp
-          src/utils/mouse-wheel-guard.cpp
-          src/utils/mouse-wheel-guard.hpp
-          src/utils/name-dialog.cpp
-          src/utils/name-dialog.hpp
-          src/utils/obs-dock.hpp
-          src/utils/obs-module-helper.cpp
-          src/utils/obs-module-helper.hpp
-          src/utils/osc-helpers.cpp
-          src/utils/osc-helpers.hpp
-          src/utils/priority-helper.cpp
-          src/utils/priority-helper.hpp
-          src/utils/process-config.cpp
-          src/utils/process-config.hpp
