=== src/macro-external/midi/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,10 @@
   return()
 endif()
 add_subdirectory("${LIBREMIDI_DIR}" "${LIBREMIDI_DIR}/build" EXCLUDE_FROM_ALL)
+
+if(MSVC)
+  target_compile_options(libremidi PRIVATE /wd4251 /wd4267 /wd4275)
+endif(MSVC)
 
 # --- End of section ---
