=== debian/changelog ===
obs-advanced-scene-switcher (1.23.1-2ubuntu3) plucky; urgency=medium

  * No-change rebuild for opencv 4.10.0.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 19 Feb 2025 08:45:28 +0000

obs-advanced-scene-switcher (1.23.1-2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:05:17 +1100

obs-advanced-scene-switcher (1.23.1-2ubuntu1) noble; urgency=medium

  * Don't hard-code dependency on shared library.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Mar 2024 10:35:32 +0100

obs-advanced-scene-switcher (1.23.1-2build2) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:48:18 +0000

obs-advanced-scene-switcher (1.23.1-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:05:26 +0000

obs-advanced-scene-switcher (1.23.1-2) unstable; urgency=medium

  * Fix a FTBFS in all archs if deps/libremidi is present and empty.
    Consequently:
      - debian/rules: added a workaround to remove deps/libremidi before to run
        dh_auto_configure.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 10 Sep 2023 22:48:13 -0300

obs-advanced-scene-switcher (1.23.1-1) unstable; urgency=medium

  * New upstream version 1.23.1.
  * debian/patches/:
      - 010_fix-spelling.patch: removed because the upstream applied this patch.
        Thanks!
      - 020_disable-externals.patch: removed because the upstream improved the
        source code.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 03 Sep 2023 13:43:49 -0300
