=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: obs-advanced-scene-switcher
 Section: video
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libasio-dev,
@@ -24,7 +25,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libcurl4,
+         ${lib:Depends},
          obs-advanced-scene-switcher-data (>= 1.16.3-1~),
          obs-studio (>= 26.1.2)
 Enhances: obs-studio (>= 26.1.2)
